Bug 52118 - XWindows trouble with optical intellimouse
Summary: XWindows trouble with optical intellimouse
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 7.1
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-20 18:32 UTC by Karl schmidt
Modified: 2007-04-18 16:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-30 16:49:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Karl schmidt 2001-08-20 18:32:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3-12 i686)

Description of problem:
gpm is supposed to get shut down when X is run according to the docs I read
- this is not happening and causes various mouse problems

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.run gnome or kde
2.run logenoug and the mouse clings to the upper right hand corner and
windows start to open
3.
	

Actual Results:  after running x long enough the mouse goes and clings to
the upper right hand corner - trying to move the mouse causes various
windows to open - must cnt-alt-bkspace to stop the problem. 

Expected Results:  mouse should stay working

Additional info:

I'm running a M$-intelemouse with the following /etc/sysconf/mouse:
MOUSETYPE="imps2"
XMOUSETYPE="IMPS/2"
FULLNAME="Microsoft IntelliMouse (PS/2)"
XEMU3=no
DEVICE=/dev/mouse

I've seen problems in both KDE and Gnome

Comment 1 Preston Brown 2001-08-24 13:45:01 UTC
we do not shut down GPM while X is running.  You should not have problems with 
with the vast majority of mice.

When you shut off gpm (i.e. /sbin/service gpm stop) before starting X, does 
your problem actually go away?


Comment 2 Karl schmidt 2001-08-24 15:40:12 UTC
This is with a M$ intelimouse optical - not an uncommon mouse

Comment 3 Karl schmidt 2001-08-24 20:51:28 UTC
Just happend again now that GPM has been shut down. I'm thinking the common 
thread may be using the shell - Konsole 1.01 in KDE 2.1.2 

Perhaps it is dirtying up mouse inviornment some way - will stick with using 
the gnome terminal 1.2.4 and see if it happens again. Thought I had it pegged - 
this is an intermitent problem. I saw once thhat with X not running it was not 
working on the plain console. Is there any other service I can try restarting 
to clean up the mouse operation? (rather than rebooting?)

Comment 4 Preston Brown 2001-08-28 20:35:30 UTC
This isn't a gpm issue then it is a optical intellimouse X issue.


Comment 5 Karl schmidt 2001-08-30 16:49:03 UTC
traced to hardware problem - M$ optical mice have poor cables strai relief. 
Known problem, but not published by M$ - please close bug report.

Thanks




Note You need to log in before you can comment on or make changes to this bug.